API级别28支援条件,GooglePlay更新支援 Android 9 Pie八月份实

2019-02-24 10:02

导读: API级别28支援条件,GooglePlay更新支援 Android 9 Pie八月份实行!根据Android 开发者部落格所公布的消息,自2019 年8 月起,无论应用向前支援到多旧的版本(即便是Android 1.0),所有新的应用都必须要符合Android 9 Pie,也就是API Level 28 或更新版本的

API级别28支援条件,GooglePlay更新支援 Android 9 Pie八月份实行!根据Android 开发者部落格所公布的消息,自2019 年8 月起,无论应用向前支援到多旧的版本(即便是Android 1.0),所有新的应用都必须要符合Android 9 Pie,也就是API Level 28 或更新版本的支援需求。至于旧应用的更新,则是在 2019 年 11 月之后都必须能够「吃派」。

为了确保最新的应用可以与 Google 新世代系统相处融洽,Google 近年基本上每年都会透过新政策来推动使开发者接纳最新的 API。继去年底官方要求新的应用需至少可以达到 Android 8.0 Oreo 后,随着 Android Q 即将登场, Google Play 新应用须支援 Android 9 Pie 的政策也确定将会在今年八月份实行。


八月起 Google Play 新应用须支援 Android 9 Pie 以上系统
 

除了针对开发者的政策,Google Play app 目前内建的「Play 安全防护」机能,也将会针对想要尝试安装官方应用程式商店以外的支援版本过旧应用进行警示— 8 月会开始针对未支援Android 8.0 Oreo(API Level 26)的新应用安装;11 月则会延伸至更新应用时发出警告。据称这项政策将会持续往后延续,也就是说,到了 2020 年 8 月,这样的更新警示与限制就将延伸至 Android Q(诶 到底会叫什么甜点名啊?)。

是说,对于手持旧款 Andorid 装置(Galaxy S8+)的小编而言,显然渐渐地也就不那么在乎这些需求了 — 毕竟,「吃派」时间似乎还遥遥无期啊(远望)。

相关文章